--- ../autotool-nagios/configure.in	2009-09-12 21:40:37.000000000 +0100
+++ configure.in	2009-09-13 00:58:08.000000000 +0100
@@ -771,6 +771,9 @@
 	USE_LIBTAP=no
 fi
 
+AH_TOP([/* make no changes to this file; it is generated.  Make your changes in config-added.h */])
+AH_BOTTOM([#include "config-added.h"])
+
 
 AC_SUBST(USE_LIBTAP)
 AC_SUBST(CGIEXTRAS)
--- ../autotool-nagios/include/config-added.h	1970-01-01 01:00:00.000000000 +0100
+++ include/config-added.h	2009-09-13 00:05:29.000000000 +0100
@@ -0,0 +1,228 @@
+/***** HEADER FILES *****/
+
+#include <stdio.h>
+#include <stdlib.h>
+
+/* needed for the time_t structures we use later... */
+/* this include must come before sys/resource.h or we can have problems on some OSes */
+#define TIME_WITH_SYS_TIME 1
+#define HAVE_SYS_TIME_H 1
+#if TIME_WITH_SYS_TIME
+#include <sys/time.h>
+#include <time.h>
+#else
+#if HAVE_SYS_TIME_H
+#include <sys/time.h>
+#else
+#include <time.h>
+#endif
+#endif
+
+#define HAVE_SYS_RESOURCE_H 1
+#ifdef HAVE_SYS_RESOURCE_H
+#include <sys/resource.h>
+#endif
+
+#define HAVE_LIMITS_H 1
+#ifdef HAVE_LIMITS_H
+#include <limits.h>
+#endif
+
+#define HAVE_PWD_H 1
+#ifdef HAVE_PWD_H
+#include <pwd.h>
+#endif
+ 
+#define HAVE_GRP_H 1
+#ifdef HAVE_GRP_H
+#include <grp.h>
+#endif
+
+#define HAVE_STRINGS_H 1
+#ifdef HAVE_STRINGS_H
+#include <strings.h>
+#endif
+
+#define HAVE_STRING_H 1
+#ifdef HAVE_STRINGS_H
+#include <string.h>
+#endif
+
+#define HAVE_UNISTD_H 1
+#ifdef HAVE_UNISTD_H
+#include <unistd.h>
+#endif
+
+#define HAVE_SYSLOG_H 1
+#ifdef HAVE_SYSLOG_H
+#include <syslog.h>
+#endif
+
+#define HAVE_SIGNAL_H 1
+#ifdef HAVE_SIGNAL_H
+#include <signal.h>
+#endif
+
+#define HAVE_SYS_STAT_H 1
+#ifdef HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
+
+#define HAVE_SYS_MMAN_H 1
+#ifdef HAVE_SYS_MMAN_H
+#include <sys/mman.h>
+#endif
+
+#define HAVE_FCNTL_H 1
+#ifdef HAVE_FCNTL_H
+#include <fcntl.h>
+#endif
+
+#define HAVE_STDARG_H 1
+#ifdef HAVE_STDARG_H
+#include <stdarg.h>
+#endif
+
+#define HAVE_SYS_TYPES_H 1
+#ifdef HAVE_SYS_TYPES_H
+#include <sys/types.h>
+#endif
+
+#define HAVE_SYS_WAIT_H 1
+#ifdef HAVE_SYS_WAIT_H
+#include <sys/wait.h>
+#endif
+
+#define HAVE_ERRNO_H 1
+#ifdef HAVE_ERRNO_H
+#include <errno.h>
+#endif
+
+#define HAVE_SYS_TIMEB_H 1
+#if HAVE_SYS_TIMEB_H
+#include <sys/timeb.h>
+#endif
+
+#define HAVE_SYS_IPC_H 1
+#ifdef HAVE_SYS_IPC_H
+#include <sys/ipc.h>
+#endif
+
+#define HAVE_SYS_MSG_H 1
+#ifdef HAVE_SYS_MSG_H
+#include <sys/msg.h>
+#endif
+
+#define HAVE_MATH_H 1
+#ifdef HAVE_MATH_H
+#include <math.h>
+#endif
+
+#define HAVE_CTYPE_H 1
+#ifdef HAVE_CTYPE_H
+#include <ctype.h>
+#endif
+
+#define HAVE_DIRENT_H 1
+#ifdef HAVE_DIRENT_H
+#include <dirent.h>
+#endif
+
+#define HAVE_PTHREAD_H 1
+#ifdef HAVE_PTHREAD_H
+#include <pthread.h>
+#endif
+
+#define HAVE_REGEX_H 1
+#ifdef HAVE_REGEX_H
+#include <regex.h>
+
+#define HAVE_SYS_SOCKET_H 1
+#ifdef HAVE_SYS_SOCKET_H
+#include <sys/socket.h>
+#endif
+
+/* #undef HAVE_SOCKET */
+#ifdef HAVE_SOCKET_H
+#include <socket.h>
+#endif
+
+#define HAVE_NETINET_IN_H 1
+#ifdef HAVE_NETINET_IN_H
+#include <netinet/in.h>
+#endif
+
+#define HAVE_ARPA_INET_H 1
+#ifdef HAVE_ARPA_INET_H
+#include <arpa/inet.h>
+#endif
+
+#define HAVE_NETDB_H 1
+#ifdef HAVE_NETDB_H
+#include <netdb.h>
+#endif
+
+#define HAVE_LIBGEN_H 1
+#ifdef HAVE_LIBGEN_H
+#include <libgen.h>
+#endif
+
+#define HAVE_SYS_UN_H 1
+#ifdef HAVE_SYS_UN_H
+#include <sys/un.h>
+#endif
+
+#define HAVE_SYS_POLL_H 1
+#ifdef HAVE_SYS_POLL_H
+#include <sys/poll.h>
+#endif
+
+#define HAVE_GETOPT_H 1
+#ifdef HAVE_GETOPT_H
+#include <getopt.h>
+#endif
+
+/* #undef HAVE_LINUX_MODULE_H */
+#ifdef HAVE_LINUX_MODULE_H
+#include <linux/module.h>
+#endif
+
+/* configure script should allow user to override ltdl choice, but this will do for now... */
+/* #undef USE_LTDL */
+#define HAVE_LTDL_H 
+#ifdef HAVE_LTDL_H
+#define USE_LTDL
+#endif
+
+#ifdef USE_LTDL
+#include <ltdl.h>
+#else
+/* #undef HAVE_DLFCN_H */
+#ifdef HAVE_DLFCN_H
+#include <dlfcn.h>
+#endif
+#endif
+
+
+/* moved to end to prevent AIX compiler warnings */
+#ifndef RTLD_GLOBAL
+#define RTLD_GLOBAL 0
+#endif
+
+#ifndef RTLD_NOW
+#define RTLD_NOW 0
+#endif
+
+
+/***** MARO DEFINITIONS *****/
+
+/* this needs to come after all system include files, so we don't accidentally attempt to redefine it */
+#ifndef WEXITSTATUS
+# define WEXITSTATUS(stat_val) ((unsigned)(stat_val) >> 8)
+#endif
+#ifndef WIFEXITED
+# define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
+#endif
+
+
+#endif
